Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 26489005: Relax HTMLBodyElement's scrollTop/Left property set and get operations. (Closed)

Created:
6 years, 1 month ago by tonikitoo_
Modified:
6 years, 1 month ago
CC:
blink-reviews, dglazkov+blink, adamk+blink_chromium.org, Dan Beam
Base URL:
https://chromium.googlesource.com/chromium/blink.git@issue_290895
Visibility:
Public.

Description

Relax HTMLBodyElement's scrollTop/Left property set and get operations. After bug 303131 (r159035) and bug 157855 (r158864) are fixed, Blink started to match other Web engines with regards to documentElement/body::scrollTop/Left behaviors, according to the DocType mode. It turns out that these changes broken some Web content relying on Blink quirks behavior. That said, this CL takes a more conservative approach, where it was chosen to relax the HTMLBodyElement bits of the CLs above, restoring their original behavior, but adding an UseCount/DeprecationWarnings instead. We are still more compliant with other Web engine with regards to documentElement's scrollTop/Left operations, though. R=Julien Chaffraix BUG=304768, 304816, 304773, 305099 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=159230

Patch Set 1 #

Total comments: 1

Patch Set 2 : Relax HTMLBodyElement's scrollTop/Left property set and get operations. #

Patch Set 3 : Relax HTMLBodyElement's scrollTop/Left property set and get operations. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+35 lines, -23 lines) Patch
M LayoutTests/fast/dom/Element/resources/scrollable-iframe-strict.html View 1 2 1 chunk +0 lines, -6 lines 0 comments Download
M LayoutTests/fast/dom/Element/scrollTop-scrollLeft-strict-quirks-modes-expected.txt View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M LayoutTests/jquery/offset-expected.txt View 1 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/html/HTMLBodyElement.cpp View 1 2 4 chunks +25 lines, -15 lines 0 comments Download
M Source/core/page/UseCounter.h View 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/page/UseCounter.cpp View 1 chunk +4 lines, -0 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
Julien - ping for review
lgtm https://codereview.chromium.org/26489005/diff/1/Source/core/html/HTMLBodyElement.cpp File Source/core/html/HTMLBodyElement.cpp (right): https://codereview.chromium.org/26489005/diff/1/Source/core/html/HTMLBodyElement.cpp#newcode258 Source/core/html/HTMLBodyElement.cpp:258: // FIXME: The specification is not clear about ...
6 years, 1 month ago (2013-10-08 18:07:14 UTC) #1
mike.sherov
On 2013/10/08 18:07:14, Julien Chaffraix wrote: > lgtm > > https://codereview.chromium.org/26489005/diff/1/Source/core/html/HTMLBodyElement.cpp > File Source/core/html/HTMLBodyElement.cpp (right): ...
6 years, 1 month ago (2013-10-08 23:37:14 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/a1.gomes@sisa.samsung.com/26489005/9001
6 years, 1 month ago (2013-10-09 11:48:39 UTC) #3
mike.sherov
On 2013/10/08 23:37:14, mike.sherov wrote: > On 2013/10/08 18:07:14, Julien Chaffraix wrote: > > lgtm ...
6 years, 1 month ago (2013-10-09 12:09:44 UTC) #4
commit-bot: I haz the power
Change committed as 159230
6 years, 1 month ago (2013-10-09 13:26:58 UTC) #5
chrisgao (Use stgao instead)
Hi, The change with regards to documentElement/body::scrollTop/Left behaviors will have side effect on ChromeDriver. Next ...
6 years, 1 month ago (2013-10-11 18:23:06 UTC) #6
tonikitoo_
On 2013/10/11 18:23:06, chrisgao wrote: > Hi, > > The change with regards to documentElement/body::scrollTop/Left ...
6 years, 1 month ago (2013-10-11 18:28:49 UTC) #7
Julien - ping for review
@chrisgao: Why don't you just CC the people involved on this bug? Without knowing about ...
6 years, 1 month ago (2013-10-11 19:51:24 UTC) #8
chrisgao (Use stgao instead)
6 years, 1 month ago (2013-10-11 19:54:32 UTC) #9
Message was sent while issue was closed.
Thanks for the reply and suggestion!
Will do the cc immediately.

Powered by Google App Engine
This is Rietveld 408576698